Rated 5 out of 5 stars

It does work in FF 3.6, but I had to uninstall it and install it again. whew! Saved.